## php-guzzlehttp-retry-subscriber 2.0.2

=== Makefile ===
test:
	vendor/bin/phpunit

coverage:
	vendor/bin/phpunit --coverage-html=artifacts/coverage

view-coverage:
	open artifacts/coverage/index.html

clean:
	rm -rf artifacts/*

.PHONY: coverage

## php-guzzlehttp-retry-subscriber 2.0.1

=== debian/changelog ===
php-guzzlehttp-retry-subscriber (2.0.1-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Does not require cURL

  [ David Prévot ]
  * Add php-guzzlehttp-log-subscriber needed for tests

 -- David Prévot <taffit@debian.org>  Thu, 04 Dec 2014 17:32:51 -0400

php-guzzlehttp-retry-subscriber (2.0.0-1) unstable; urgency=low

  * Initial release

 -- David Prévot <taffit@debian.org>  Sat, 18 Oct 2014 18:49:27 -0400

=== debian/control ===
Source: php-guzzlehttp-retry-subscriber
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9),
               php-guzzlehttp,
               php-guzzlehttp-log-subscriber,
               php-symfony-class-loader,
               php5-curl,
               phpunit,
               pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: https://github.com/guzzle/retry-subscriber
Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzlehttp-retry-subscriber.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzlehttp-retry-subscriber.git

Package: php-guzzlehttp-retry-subscriber
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 This plugin can be used to retry requests depending on the actual
 error, setting the delay and the maximal number of retries.

=== debian/tests/control ===
Test-Command: quilt pop -f && phpunit
Depends: @, php-guzzlehttp-log-subscriber, php-symfony-class-loader, php5-curl, phpunit, quilt

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/ \
https://github.com/guzzle/retry-subscriber/releases .*/archive/v?(\d.+).tar.gz

## php-guzzlehttp-retry-subscriber 2.0.2

=== debian/changelog ===
php-guzzlehttp-retry-subscriber (2.0.2-2) unstable; urgency=medium

  * Upload to unstable since Jessie has been released
  * Provide homemade static autoload.php

 -- David Prévot <taffit@debian.org>  Sun, 10 May 2015 15:37:16 -0400

php-guzzlehttp-retry-subscriber (2.0.2-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Michael Dowling ]
  * Using getRetryCount() and tagging release

 -- David Prévot <taffit@debian.org>  Sun, 21 Dec 2014 12:39:49 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9),
-               php-guzzlehttp,
+               php-guzzlehttp (>= 5.2.0-2~),
                php-guzzlehttp-log-subscriber,
-               php-symfony-class-loader,
                php5-curl,
+               phpab,
                phpunit,
                pkg-php-tools (>= 1.7~)
 Standards-Version: 3.9.6
@@ -17,7 +17,9 @@
 
 Package: php-guzzlehttp-retry-subscriber
 Architecture: all
-Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
+Depends: php-guzzlehttp (>= 5.2.0-2~),
+         ${misc:Depends},
+         ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		--basedir vendor \
		src

override_dh_auto_clean:
	rm -rf vendor

get-orig-source:
	uscan --verbose --rename --force

=== debian/tests/control ===
Test-Command: phpunit --bootstrap debian/autoload.ci.php
Depends: @, php-guzzlehttp-log-subscriber, php5-curl, phpunit
